<?php
include "scrinit.php";
include $menu;
require "dbconnect.php";
$dt=$_SESSION['dt'];
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ανέβασμα Στήριξης</title>
</head>
<body>

<h1>Εισαγωγή Στοιχείων Προγράμματος</h1>
<form  method="post" enctype="multipart/form-data">
    Επιλέξτε το αρχείο CSV με τα στοιχεία του Προγράμματος:
    <input type="file" name="fileToUpload" id="fileToUpload">
	<br>
	<p> Οι στήλες στο αρχείο να έχουν την σειρά: </p>
	<p><b>aa,portfolio item,max mark, paratirisi</b></p>
    <br>
    <p>Κωδικοποίηση χαρακτήρων αρχείου (character encoding): <select name="charset">
       <option value="Windows-1253" selected>Windows-1253</option>
       <option value="ISO-8859-7">ISO-8859-7</option>
    </select>
    <p>Χαρακτήρας οριοθέτησης πεδίων (Delimiter): <select name="delim">
       <option value=";" selected>;</option>
       <option value=",">,</option>
    </select>
    <p><input type="submit" value="ΑΝΕΒΑΣΜΑ ΑΡΧΕΙΟΥ" name="submit">
</form>
<?php
if (isset($_POST['submit'])) {
    if (is_uploaded_file($_FILES['fileToUpload']['tmp_name'])) {
        echo "<h1>" . "File ". $_FILES['fileToUpload']['name'] ." uploaded successfully." . "</h1>";

	$fd=fopen($_FILES['fileToUpload']['tmp_name'],'r');
	$charset = $_POST['charset'];
	$delim = $_POST['delim'];
	$filex=$_FILES['fileToUpload'];
        echo "<h2>Charset:" . $charset . "</h2>";
        echo "<h2>Delimiter:" . $delim . "</h2>";
        echo "<h2>Displaying contents:</h2>";
        echo "<table>\n";
mysqli_query($con,'TRUNCATE TABLE ddkportfolio;');		
$i=1;
while(! feof($fd))
  {
	$list=fgetcsv($fd,0,$delim);
	$aa=$list[0];
	$port=$list[1];
	$mark=$list[2];
	$par=$list[3];
	/////////////////////////////
	$row=join('</td><td>',$list);
	$sql="INSERT INTO ddkportfolio(aa,bb,portfolio,mark,paratirisi) VALUES ('$aa','$port','$mark','$par')";
	
	$sql   = str_replace("'NULL'", 'NULL', $sql);
	echo "<tr><td>" . $row . "</td>";
	if($i>0) {
		echo "<td>" . $sql . "</td>";
		if(mysqli_query($con,$sql)===TRUE) {
			echo "<td>OK</td>";
		} else {
			echo "<td>" . mysqli_error($con) . "</td>";
		}
	}
	echo "</tr>\n";
	$i++;
  }
        echo "</table>\n";

fclose($fd);

    } else {
        echo "ΔΕΝ ΕΓΙΝΕ Η ΦΟΡΤΩΣΗ ΤΟΥ ΑΡΧΕΙΟΥ.";
    }
}
?>
<br /><br />

<a  href=<?php echo $menu; ?>  style="color:blue "  > <button>  Επιστροφή στο Μενού  </a>
</body>
</html>
